import request from '@/utils/request'

// 查询考核项列表
export function listItems(query) {
  return request({
    url: '/kaohe/items/list',
    method: 'get',
    params: query
  })
}

// 查询考核项详细
export function getItems(id) {
  return request({
    url: '/kaohe/items/' + id,
    method: 'get'
  })
}

// 新增考核项
export function addItems(data) {
  return request({
    url: '/kaohe/items',
    method: 'post',
    data: data
  })
}

// 修改考核项
export function updateItems(data) {
  return request({
    url: '/kaohe/items',
    method: 'put',
    data: data
  })
}

// 删除考核项
export function delItems(id) {
  return request({
    url: '/kaohe/items/' + id,
    method: 'delete'
  })
}
